Bug 90953 - Find path is shown as encoded
Summary: Find path is shown as encoded
Status: RESOLVED FIXED
Alias: None
Product: kfind
Classification: Applications
Component: general (show other bugs)
Version: 0.5.2
Platform: unspecified Linux
: NOR normal with 40 votes (vote)
Target Milestone: ---
Assignee: Eric Coquelle
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-08 10:31 UTC by Andrey Cherepanov
Modified: 2006-11-25 23:56 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Cherepanov 2004-10-08 10:31:35 UTC
Version:           3.3 (using KDE 3.3.0, compiled sources)
Compiler:          gcc version 3.2.2 20030222 (Red Hat Linux 3.2.2-5)
OS:                Linux (i686) release 2.4.26-01-NeTraverse-i686-SMP-64GB

When I find files in Konqueror (Tools->Find file...) in my folder with russian names I get find path like "file:/c/Documents%20and%20Settings/1232/%ED%CF%C9%20%C4%CF%..." 

1. Path is unreadable if contains spaces and/or nonlatin letters. It makes usability of find files utility very terrible.

2. Konqueror windows on using this tool grows very wide and part of window became beyong screen.

I think, the reason of window growing is current encode path.

Please, make find file tool is more usable...
Comment 1 Andrew Muhametshin 2005-02-16 01:42:21 UTC
My comments to a problem number two:

Problem not only with Russian symbols, but also with latin. 

$ kfind /very/very/long/path/string
Comment 2 Martin Koller 2006-11-25 23:56:57 UTC
SVN commit 607846 by mkoller:

BUG: 90953

use and show prettyURL() instead of url() in "Look in:" field


 M  +6 -6      kftabdlg.cpp  


--- branches/KDE/3.5/kdebase/kfind/kftabdlg.cpp #607845:607846
@@ -390,15 +390,15 @@
     dirBox->insertStringList(sl);
     // If the _searchPath already exists in the list we do not
     // want to add it again
-    int indx = sl.findIndex(m_url.url());
+    int indx = sl.findIndex(m_url.prettyURL());
     if(indx == -1)
-      dirBox->insertItem(m_url.url(), 0); // make it the first one
+      dirBox->insertItem(m_url.prettyURL(), 0); // make it the first one
     else
       dirBox->setCurrentItem(indx);
   }
   else {
     QDir m_dir("/lib");
-    dirBox ->insertItem( m_url.url() );
+    dirBox ->insertItem( m_url.prettyURL() );
     dirBox ->insertItem( "file:" + QDir::homeDirPath() );
     dirBox ->insertItem( "file:/" );
     dirBox ->insertItem( "file:/usr" );
@@ -472,15 +472,15 @@
     dirBox->insertStringList(sl);
     // If the _searchPath already exists in the list we do not
     // want to add it again
-    int indx = sl.findIndex(m_url.url());
+    int indx = sl.findIndex(m_url.prettyURL());
     if(indx == -1)
-      dirBox->insertItem(m_url.url(), 0); // make it the first one
+      dirBox->insertItem(m_url.prettyURL(), 0); // make it the first one
     else
       dirBox->setCurrentItem(indx);
   }
   else {
     QDir m_dir("/lib");
-    dirBox ->insertItem( m_url.url() );
+    dirBox ->insertItem( m_url.prettyURL() );
     dirBox ->insertItem( "file:" + QDir::homeDirPath() );
     dirBox ->insertItem( "file:/" );
     dirBox ->insertItem( "file:/usr" );